コンテンツへスキップ

MAGI-1 (Distilled) · Extend Video

統合

モデルID magi-distilled/extend-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/magi-distilled/extend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.32 320 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Sand AI 動画変換 高速720pまで #video-to-video#video-extend

選択した開始フレームから既存動画を継続し、96~192個の新しいフレームを生成

Sand AI · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

動画生成を導くテキスト指示。

•必須 video_url
ファイルをドロップ、または

出力の冒頭で使用する動画のURL。選択したアスペクト比と一致しない場合、入力はリサイズされ、中央でトリミングされます。

resolution デフォルト 720p

出力動画の解像度。480pまたは720p。

num_inference_steps デフォルト 16

サンプリングステップ数。増やすほど処理時間が長くなる代わりに品質が向上します。

aspect_ratio デフォルト auto

生成動画の縦横比。'auto'に設定すると入力画像から自動選択されます。

デフォルト 96

出力フレーム数。最小96、最大192です。

詳細設定 start_frame · seed · enable_safety_checker

変更されない先頭動画と新しく生成されるフレームの境界。デフォルトでは最適な結果を得るため、この境界を動画の末尾から32フレーム前に配置します。指定した番号までのフレームは最終動画にそのまま残り、その後に生成フレームが追加されます。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/magi-distilled/extend-video?wait=20 見積もり → $0.32
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/magi-distilled/extend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

MAGI-1 (Distilled) · Extend Videoについて

`video_url`のソースクリップと`prompt`を受け取り、続きの映像を生成します。`start_frame`で生成開始位置を設定し、それより前のフレームは変更されません。`num_frames`は96~192で、出力は480pまたは720p、ステップ数は4、8、16、32から選択します。選択したアスペクト比と一致しない入力はリサイズされ、中央でクロップされます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
動画生成を導くテキスト指示。
video_url必須 video
型url · video
出力の冒頭で使用する動画のURL。選択したアスペクト比と一致しない場合、入力はリサイズされ、中央でトリミングされます。
num_frames任意
型integer | null
デフォルト96
96 – 192
出力フレーム数。最小96、最大192です。
start_frame任意
型integer | null
≥ 0
変更されない先頭動画と新しく生成されるフレームの境界。デフォルトでは最適な結果を得るため、この境界を動画の末尾から32フレーム前に配置します。指定した番号までのフレームは最終動画にそのまま残り、その後に生成フレームが追加されます。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
resolution任意
型enum
デフォルト720p
480p720p
出力動画の解像度。480pまたは720p。
num_inference_steps任意
型enum
デフォルト16
481632
サンプリングステップ数。増やすほど処理時間が長くなる代わりに品質が向上します。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックの切り替え。オフにするにはアカウント認証が必要です。認証がない場合、設定に関係なくすべてのリクエストがチェックされます。trueでチェッカーを有効にします。
aspect_ratio任意
型enum
デフォルトauto
auto16:99:161:1
生成動画の縦横比。'auto'に設定すると入力画像から自動選択されます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "magi-distilled/extend-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 320,
    "usd": "0.32",
    "charged": 320,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成された動画ファイル。
seed
integer生成時に適用したシード値。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/magi-distilled/extend-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt